Description

I am wondering if there is a way to make the copy function, copy the subtasks related to it? This functionality is similar to the move

function where if you move a main task, all the main tasks sub-tasks are moved as well.

Maybe there should be an option on the copy and move pages that lets you say wether or not you want to also copy/move the

subtasks associated to the main task.

I couldn't find any open issues related to this so I am logging this as a feature request.

Thanks,

John

Related issues:

Related to Redmine - Feature #6434: Copy task with children to a new project. Closed 2010-09-20

Has duplicate Redmine - Defect #7023: Copy Function Doesn't Copy SubTasks Closed 2010-12-02

Has duplicate Redmine - Defect #11790: Copy ticket: no sub tickets Closed

Has duplicate Redmine - Feature #7328: Cloning/Duplicating an Issue with subt... Closed 2011-01-14

Has duplicate Redmine - Feature #11076: Copy/duplicate all subtasks when copy... Closed

Associated revisions

Revision 10327 - 2012-09-08 07:34 - Jean-Philippe Lang

Option to copy subtasks when copying issue(s) (#6965).

Revision 10328 - 2012-09-08 07:56 - Jean-Philippe Lang

Adapt subtasks copy when copying a project (#6965).

Revision 10329 - 2012-09-08 08:14 - Jean-Philippe Lang

Do not copy subtasks twice when copying an issue and its descendants (#6965).

Revision 10330 - 2012-09-08 08:18 - Jean-Philippe Lang

Filling locales (#6965).

History

#1 - 2010-12-07 20:01 - John S

Anyone able to give guidance on how to do this? I am trying to make this change on my own. I believe the change needs to be made in the issues.rb

model and the issue_moves\new.rhtml view... perhaps changes to the issue_moves_controller.rb file need to be made as well... and the en.yml file?

Any help is appreciated.

Thanks!

#2 - 2011-03-11 15:48 - yannick  quenec'hdu

John S wrote:

Anyone able to give guidance on how to do this? I am trying to make this change on my own. I believe the change needs to be made in the

issues.rb model and the issue_moves\new.rhtml view... perhaps changes to the issue_moves_controller.rb file need to be made as well... and

the en.yml file?
Any help is appreciated.

Thanks!

 +1

#3 - 2011-07-29 11:58 - Zbynek Drlik

+1

#4 - 2011-10-20 14:21 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

- Target version set to Candidate for next major release

#5 - 2011-10-20 14:22 - Etienne Massip

Patch can be found in #7023.

#6 - 2012-02-16 00:28 - Tiemo Vorschuetz

- File redmine_issue_subtasks.zip added

Hi,

I also was looking for a solution to copy all subtasks when copying the main task. In addition it was necessary for me to allow copying across projects

including all subtasks. The author of all newly created tasks should be automatically set to the user who copied the main task (#8452).

I merged all these approaches into a plugin for 1.3.1.

Please feel free to test it.

Regards

Tiemo

#7 - 2012-04-03 22:13 - Radek Karban

+1

#8 - 2012-04-03 23:13 - Cassiano Monteiro

+1!!

Great plugin Tiemo, thanks a lot! I was looking for something like this long time ago!

One thing: it doesn't copy the relationships between issues along them. Also, when I tested it, it assigned the target version to the child issues, but not

to the parent one. Can you take a look at that?

Many thanks!

#9 - 2012-06-01 17:24 - Ladislav Nesnera

Sounds like perfect feature but doesn't work with 1.4.2 :(

rake db:migrate_plugins RAILS_ENV=production

(in /usr/share/redmine)

undefined method `move_to_project_without_transaction' for class `Issue'

Tasks: TOP => db:migrate_plugins => environment

(See full trace by running task with --trace)

#10 - 2012-07-25 19:51 - Anthony Topper

+1

#11 - 2012-08-14 16:00 - Rafael Vargas

Plugin works just fine on 1.3.0. Thanks a lot!

#12 - 2012-09-06 19:40 - Rolf Stetter

+1
Anybody tested the plugin successfully with 2.0.3?

To me this seems rather a major bug to be fixed within the core.

#13 - 2012-09-07 00:35 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.1.0

#14 - 2012-09-08 07:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r10327.

#15 - 2012-09-08 07:34 - Jean-Philippe Lang

- Subject changed from Copy Function - Option to Copy Subtasks? to Option to Copy Subtasks when copying an issue

#16 - 2012-09-14 05:52 - Teruo Kawamoto

Great!!

I'm looking forward to this release.

#17 - 2016-03-24 14:58 - Go MAEDA

- Has duplicate Feature #7328: Cloning/Duplicating an Issue with subtasks should allow to clone/duplicate the sub-tasks as well added

#18 - 2016-03-24 15:09 - Go MAEDA

- Has duplicate Feature #11076: Copy/duplicate all subtasks when copying the main task added

Files

redmine_issue_subtasks.zip 3.46 KB 2012-02-15 Tiemo Vorschuetz
